# AMPED - Auto Map Pins Enhanced v1.3.0 - Configuration overhaul
Author: JordanRichmeier
Nexus: [AMPED - Auto Map Pins Enhanced](https://www.nexusmods.com/valheim/mods/2199)
Source: [Github](https://github.com/raziell74/Valheim-Auto-Map-Pins-Configurable/)

Automatic pinned resources, pickables, locations, spawners, and creatures to your map and minimap.

This is an enhancement on Materous' AutoMapPins with Configuration and is very heavily based off of his work. So far all I've done is overhaul the configuration of his mod the rest of the code for pinning is still from his source code, save for a few speed optimizations. 

Pin Types now have their own json file that details what is pinned, the label and icon to use, and the icon size. Icons are also in their own folder and can be changed around, added to, or completely removed. Everything was designed to be modified with out the need to update the DLL every time Iron Gate adds something new. 

## Credits
Contibutions from the following modders was invaluable and appreciated: 
  * [Materous](https://www.nexusmods.com/valheim/users/6021662) - for the original mod and providing access/permission to the source code

## Version 1.3.0

  * Overhauled configuration of map pin types 
  * Speed optimizations for loading in pins
  * Ability to toggle logging. Users can now enable the logging to print out object id's that come within range of the player so that players can add custom map pins to the new amp_pin_types.json file and pin what ever they would like, even provide their own custom icon for it. 
  * New Pins added: Mountain Caves, Tar Pits, Fuling Camps, Jotun Puffs, Mage Caps, and Black Cores

## TODO

  * Add new pins for Lox, Infected Mines, and Dvergr Outposts
  * New UI button on the world map that opens a menu with in game option control to: Enable/Disable individual pin types, Toggle saving a pin,  and change the range for pins to show.
  * Ability to add pins for player constructed objects such as Carts, Boats, Buildings, or beds. 
  * Include Auga UI compatibility
